Subject: Re: bug#15529: paste documentation tweak

From: Pádraig Brady <[email-masked]>
Date: Sat, 05 Oct 2013 03:53:46 +0100

On 10/05/2013 12:34 AM, Karl Berry wrote:
> I suggest the following small change to the paste node in the
> documentation.  Sorry I don't have the git-fu to give you the patch in
> that format.
> 
> 2013-10-04  Karl Berry  <[email-masked]>
> 
> 	* coreutils.texi (paste invocation): Move synopsis to
> 	above existing example; add second example for standard input.
> 
> --- ORIG/coreutils.texi	2013-02-11 01:37:28.000000000 -0800
> +++ coreutils.texi	2013-10-04 16:31:13.602509258 -0700
> @@ -5963,3 +5963,9 @@
>  
> -For example:
> +Synopsis:
> +
> +@example
> +paste [@var{option}]@dots{} [@var{file}]@dots{}
> +@end example
> +
> +Example:
>  
> @@ -5979,8 +5985,2 @@
>  
> -Synopsis:
> -
> -@example
> -paste [@var{option}]@dots{} [@var{file}]@dots{}
> -@end example
> -
>  The program accepts the following options.  Also see @ref{Common options}.
> @@ -6019,2 +6019,10 @@
>  
> +Here is another example, to paste together consecutive lines from
> +standard input, with a delimiter of a space:
> +
> +@example
> +$ cat num2 | paste -d"" - -
> +1 2
> +@end example
> +
>  @exitstatus
> 
> Diff finished at Fri Oct  4 16:31:15

Yes the `paste` examples could be better.
This might be a bit more instructive:

$ seq 4 | paste -d ' ' - -
1 2
3 4

Also this might be good for comparison:

$ seq 4 | paste -s -d ' '
1 2 3 4

I'll push something like that in the morning.

thanks,
Pádraig.